Subject: SUA-09: Destination or subsystem status unknown.

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sat, 29 Dec 2001 20:09:44 -0600

Please add the following error codes to SUA-09 to make it
consistent with M3UA-10:

+        20   Destination Status Unknown
+        24   Subsystem Status Unknown

+  The "Destination Status Unknown" Error MAY be sent if a DAUD is
+  received at an SG enquiring of the availability or congestion status
+  of a destination, and the SG does not wish to provide the status
+  (e.g., the sender is not authorized to know the status).  For this
+  error, the invalid or unauthorized Point Code(s) MUST be included
+  along with the Network Appearance and Routing Context associated with
+  the Point Code(s).

+  The "Subsystem Status Unknown" Error MAY be sent if a DAUD is
+  received at an SG enquiring of the availability or congestion status
+  of a subsystem, and the SG does not wish to provide the status (e.g.,
+  the sender is not authorized to know the status).  For this error,
+  the invalid or unauthorized Point Code and Subsytstem Number MUST be
+  included along with the Network Appearance and Routing Context
+  associated with the Point Code and Subsystem Number.

Also add the following paragraph to section 4.5.3:

+  An SG MAY refuse to provide the availability or congestion status of
+  a destination or subsystem if, for example, the ASP is not
+  authorized to know the status of the destination or subsystem.  The
+  SG MAY respond with an Error Message (Error Code = "Destination
+  Status Unknown")  or Error Message (Error Code = "Subsystem Status
+  Unknown").

Also add the Routing Context, Network Appearance, Affected Point
Code(s) and Subsystem Number parameters to the ERR message.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]